@echo off
if "%1"=="8M_PF" goto 8M_PF
if "%1"=="8M_SF" goto 8M_SF
if "%1"=="8M_SF_S3202" goto 8M_SF_S3202
if "%1"=="8M_SF_S3202_SQI" goto 8M_SF_S3202_SQI
if "%1"=="8M_SF_27G4_SQI" goto 8M_SF_27G4_SQI
if "%1"=="32M_SF_S3202" goto 32M_SF_S3202
if "%1"=="16M_SF_M3329E" goto 16M_SF_M3329E
if "%1"=="32M_SF_M3329D" goto 32M_SF_M3329D
if "%1"=="128M_SF_M3602" goto 128M_SF_M3602
if "%1"=="128M_SF_M3603" goto 128M_SF_M3603
if "%1"=="128M_SF_M3606" goto 128M_SF_M3606

echo config.bat [platform_type]
echo platform = 8M_PF, 8M_SF, 8M_SF_S3202, 8M_SF_S3202_SQI, 16M_SF_M3329E
echo Examples:
echo For 8M SDRAM, Serial Flash Platform: config.bat 8M_SF
echo For 8M SDRAM, Parallel Flash Platform: config.bat 8M_PF
echo For 8M SDRAM, Serial Flash Platform S3202: config.bat 8M_SF_S3202
echo For 8M SDRAM, SQI Serial Flash Platform S3202: config.bat 8M_SF_S3202_SQI
echo For 8M SDRAM, SQI Serial Flash Platform S3327G4: config.bat 8M_SF_27G4_SQI
echo For 32M SDRAM, Serial Flash Platform S3202: config.bat 32M_SF_S3202
echo For 16M SDRAM, Serial Flash Platform M3329E: config.bat 16M_SF_M3329E
echo For 128M DDRAM, Serial Flash Platform M3602: config.bat 128M_SF_M3602
echo For M3603 DDRAM, Serial Flash Platform M3602: config.bat 128M_SF_M3603
echo For M3606 DDRAM, Serial Flash Platform M3602: config.bat 128M_SF_M3606
goto End

:8M_PF
copy/y sdram_8M.ini sdram.ini
copy/y eromclient_8M_pf.abs eromclient.abs
goto End

:8M_SF
copy/y sdram_8M.ini sdram.ini
copy/y eromclient_8M_sf.abs eromclient.abs
goto End

:8M_SF_S3202
copy/y sdram_8M_S3202.ini sdram.ini
copy/y eromclient_8M_sf.abs eromclient.abs
goto End

:8M_SF_S3202_SQI
copy/y sdram_8M_S3202.ini sdram.ini
copy/y eromclient_8M_sf_SQI.abs eromclient.abs
goto End

:8M_SF_27G4_SQI
copy/y sdram_8M.ini sdram.ini
copy/y eromclient_8M_sf_27G4_SQI.abs eromclient.abs
goto End

:32M_SF_S3202
copy/y sdram_32M_S3202.ini sdram.ini
copy/y eromclient_32M_sf.abs eromclient.abs
goto End

:16M_SF_M3329E
copy/y sdram_16M.ini sdram.ini
copy/y eromclient_16M_sf.abs eromclient.abs
goto End

:32M_SF_M3329D
copy/y sdram_32M_S3329E5.ini sdram.ini
copy/y eromclient_32mddr_sf.abs eromclient.abs
goto End

:128M_SF_M3602
copy/y ddram_128M_32bit_M3602.ini sdram.ini
copy/y eromclient_128M_32bit_sf.abs eromclient.abs
goto End

:128M_SF_M3603
copy/y ddr_128M_M3603.ini sdram.ini
copy/y eromclient_M3603.abs eromclient.abs
goto End

:128M_SF_M3606
copy/y ddr_128M_M3606.ini sdram.ini
copy/y eromclient_M3606.abs eromclient.abs
goto End

:End
